Package org.opensaml.soap.wssecurity

# Interface Timestamp

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `IdBearing`, `WSSecurityObject`, `XMLObject`

All Known Implementing Classes:
  `TimestampImpl`

public interface Timestamp extends IdBearing, AttributeExtensibleXMLObject, ElementExtensibleXMLObject, WSSecurityObject
The <wsu:Timestamp> element.

See Also:
  - `Created`
  - `Expires`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`ELEMENT_NAME`
Qualified element name.

### Fields inherited from interface org.opensaml.soap.wssecurity.IdBearing

`WSU_ID_ATTR_LOCAL_NAME, WSU_ID_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`Created`
`getCreated()`
Returns the <wsu:Created< child element.
`Expires`
`getExpires()`
Returns the <wsu:Expires> child element.
`void`
`setCreated(Created created)`
Sets the <wsu:Created> child element.
`void`
`setExpires(Expires expires)`
Sets the <wsu:Expires> child element.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.soap.wssecurity.IdBearing

`getWSUId, setWSUId`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### ELEMENT_NAME

@Nonnull static final QName ELEMENT_NAME
Qualified element name.

## Method Details

### getCreated

@Nullable Created getCreated()
Returns the <wsu:Created< child element.

Returns:
  the `Created` child element or `null`.

### setCreated

void setCreated(@Nullable Created created)
Sets the <wsu:Created> child element.

Parameters:
  `created` - the `Created` child element to set.

### getExpires

@Nullable Expires getExpires()
Returns the <wsu:Expires> child element.

Returns:
  the `Expires` child element or `null`.

### setExpires

void setExpires(@Nullable Expires expires)
Sets the <wsu:Expires> child element.

Parameters:
  `expires` - the `Expires` child element or `null`.